summarylogtreecommitdiffstats
path: root/shadow.install
diff options
context:
space:
mode:
Diffstat (limited to 'shadow.install')
-rw-r--r--shadow.install9
1 files changed, 9 insertions, 0 deletions
diff --git a/shadow.install b/shadow.install
new file mode 100644
index 000000000000..14384c3330e8
--- /dev/null
+++ b/shadow.install
@@ -0,0 +1,9 @@
+post_upgrade() {
+ grpck -r >/dev/null 2>&1
+ if [ $? -eq 2 ]; then
+ printf '%s\n' \
+ "==> Warning: /etc/group or /etc/gshadow are inconsistent." \
+ " Run 'grpck' to correct this."
+ fi
+ return 0
+}